%define major		1
%define libname		%mklibname %{name} %{major}
%define libnamedev	%mklibname %{name} -d

Summary:	Xbase dBase database file library
Name:		xbase
Version:	3.1.2
Release:	%mkrel 19
Group:		Databases
License:	LGPLv2+
URL:		http://linux.techass.com/projects/xdb/
Source:		https://downloads.sourceforge.net/xdb/%{name}64-%{version}.tar.gz

Patch0:		xbase-3.1.2-fixconfig.patch
Patch2:		xbase-3.1.2-gcc44.patch
Patch3:		xbase-2.0.0-ppc.patch
Patch4:		xbase-3.1.2-xbnode.patch
Patch5:		xbase-3.1.2-lesserg.patch
Patch6:		xbase-3.1.2-outofsource.patch
Patch7:		xbase-3.1.2-gcc47.patch
Patch8:		xbase-3.1.2-gcc-version.patch
Patch9:		xbase-3.1.2-automake-1.13.patch
Patch10:	xbase-3.1.2-gcc6.patch
Patch11:	xbase-3.1.2-gcc7.patch

BuildRequires:	doxygen

%description
Library for accessing dBase .dbf, .ndx, .dbt, and Clipper .ntx files.

%package -n %{libname}
Summary:	Libraries needed for %{name}
Group:		System/Libraries
Provides:	lib%{name} = %{version}-%{release}

%description -n %{libname}
Libraries needed for %{name}

%package -n %{libnamedev}
Summary:	Xbase development package
Group:		Development/Databases
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{libnamedev}
Headers and such for compiling programs that use the Xbase library.

%prep
%setup -qn %{name}64-%{version}
%autopatch -p1

# make autoreconf happy
sed -i -e 's,AM_INIT_AUTOMAKE.*,AM_INIT_AUTOMAKE(\[foreign\]),' configure.in

cp -a copying COPYING

%build
autoreconf -vfi
%configure --disable-static
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name '*.la' -delete

# Fix files for multilib
touch -r COPYING %{buildroot}%{_bindir}/xbase-config

pushd %{buildroot}%{_libdir}
ln -s libxbase64.so.1.0.0 libxbase.so.1.0.0
ln -s libxbase64.so.1 libxbase.so.1
ln -s libxbase64.so libxbase.so
popd

pushd %{buildroot}%{_includedir}
ln -s xbase64 xbase
ln -s xbase64.h xbase64/xbase.h
popd

%files
%license COPYING
%doc ChangeLog
%{_bindir}/*
%exclude %{_bindir}/xbase-config

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{libnamedev}
%doc docs html
%{_bindir}/xbase-config
%{_includedir}/xbase*
%{_libdir}/*.so


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 3.1.2-19.mga10
+ Revision: 2196426
- Mageia 10 Mass Rebuild

* Fri Mar 18 2022 umeabot <umeabot> 3.1.2-18.mga9
+ Revision: 1798434
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 3.1.2-17.mga8
+ Revision: 1518592
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 3.1.2-16.mga7
+ Revision: 1301804
- Mageia 7 Mass Rebuild

* Wed Aug 01 2018 wally <wally> 3.1.2-15.mga7
+ Revision: 1246731
- fix build on aarch64
- tag COPYING file with %%license
- drop multiarch support

* Tue Oct 10 2017 daviddavid <daviddavid> 3.1.2-14.mga7
+ Revision: 1170686
- patch10: fix build with gcc6
- patch11: fix build with gcc7

* Fri Feb 05 2016 umeabot <umeabot> 3.1.2-13.mga6
+ Revision: 939337
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.1.2-12.mga5
+ Revision: 744359
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.1.2-11.mga5
+ Revision: 690550
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 3.1.2-10.mga4
+ Revision: 522164
- Mageia 4 Mass Rebuild

* Fri Feb 08 2013 luigiwalser <luigiwalser> 3.1.2-9.mga3
+ Revision: 397220
- remove obsolete pre script

* Mon Jan 14 2013 umeabot <umeabot> 3.1.2-8.mga3
+ Revision: 386567
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 cjw <cjw> 3.1.2-7.mga3
+ Revision: 337896
- patch9: fix build with automake 1.13

* Sat Oct 20 2012 malo <malo> 3.1.2-6.mga3
+ Revision: 308556
- spec clean-up
- update RPM group

* Mon Aug 20 2012 fedya <fedya> 3.1.2-5.mga3
+ Revision: 282504
- package was unbuildable with gcc 4.7. not all fine

* Tue Feb 22 2011 wally <wally> 3.1.2-4.mga1
+ Revision: 56978
- drop buildroot definition
- clean .spec a bit
- imported package xbase


* Mon Dec 13 2010 Funda Wang <fwang@mandriva.org> 3.1.2-3mdv2011.0
+ Revision: 620626
- fix upgrade

* Mon Nov 15 2010 Funda Wang <fwang@mandriva.org> 3.1.2-2mdv2011.0
+ Revision: 597691
- add xbase.h symlink for compatibility

* Sat Nov 13 2010 Funda Wang <fwang@mandriva.org> 3.1.2-1mdv2011.0
+ Revision: 597071
- build with multiarch
- update file list
- new version 3.1.2
- sync with fedora

  + Christophe Fergeau <cfergeau@mandriva.com>
    - rebuild

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 2.0.0-10mdv2009.0
+ Revision: 266076
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed May 28 2008 Frederic Crozat <fcrozat@mandriva.com> 2.0.0-9mdv2009.0
+ Revision: 212540
- Fix devel provides on x86-64

* Mon May 26 2008 Frederic Crozat <fcrozat@mandriva.com> 2.0.0-8mdv2009.0
+ Revision: 211398
- migrate devel package to new policy
- Patch0 (Fedora): fix build with gcc 4.3
- Patch1 (Fedora): fix xbase-config --ld
- install xbase-config in devel package
- disable static library

* Wed Mar 05 2008 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-7mdv2008.1
+ Revision: 179556
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri May 11 2007 Adam Williamson <awilliamson@mandriva.org> 2.0.0-6mdv2008.0
+ Revision: 26391
- clean spec, rebuild for new era
- Import xbase



* Mon Feb 14 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0.0-5mdk
- fix build on x86_64

* Sat Jun 5 2004 Spencer Anderson <sdander@oberon.ark.com> 2.0.0-4mdk
- rebuild
- spec cleaning

* Sun Jan 11 2004 Spencer Anderson <sdander@oberon.ark.com> 2.0.0-3mdk
- correct typo in ntx.cpp

* Thu Dec 25 2003 Spencer Anderson <sdander@oberon.ark.com> 2.0.0-2mdk
- fix provides and requires

* Tue Nov 18 2003 Spencer Anderson <sdander@oberon.ark.com> 2.0.0-1mdk
- initial Mandrake release
- don't use configure macro (breaks build right now)
- needed for new rekall
